Subject: Re: Where to put profile files?
From: Bob McGowan <[email-masked]>
To: Mike Little <[email-masked]>
Cc: "'Randall Parker'" <[email-masked]>, [email-masked]
Date: Tue, 18 Jul 2000 09:36:58 -0700

I believe it is necessary to edit the bash startup (batch file or
shortcut...) and add the '--login' option, before bash will read any of
the login related startup scripts.

If you put everything in .bashrc at the place $HOME points, then the
option is not needed.

Mike Little wrote:
> 
> > -----Original Message-----
> > From: Randall Parker [mailto:[email-masked]]
> > Sent: Tuesday, July 18, 2000 7:06 AM
> > To: [email-masked]
> > Subject: Where to put profile files?
> >
> >
> > When I start up Bash from NT it opens in
> >    c:\winnt\profiles\randall\desktop
> >
> > So I tried putting .bash_login and .bash_profile in it with
> > just one line:
> >  alias dir=ls
> >
> > This doesn't work. I tried putting a profile file with the
> > same contents in the etc directory under
> > where I have cygwin installed:
> >   j:\prg\cygwin\etc\profile
> >
> > That doesn't make any difference either.
> >
> > I tried creating an etc directory on the c drive and putting
> > profile in it too:
> >    c:\etc\profile
> >
> > That doesn't help either.
> >
> > So I'm running out of ideas. Anyone know where the Cygwin
> > Bash goes looking for profile,
> > .bash_login, .bash_profile, and .bashrc?
> >
> 
> Try setting $HOME before you run bash.
> (i.e. set it in Control Panel->System->Environment)
> I set mine to %SystemRoot%\Profiles\%USERNAME%\home
> Which evaluates to C:\WINNT\Profiles\mlit\home.
> 
> The last sub-directory I created (the rest by NT). I have my
> .bashrc and .bash_profile files in there (unix line endings)
> 
> If you have installed via the latest GUI installer the
> /etc/profile file tries to be more sensible about it, and
> will in fact create a home directory for you if $HOME is not defined.
> 
> Hope that helps.
> 
> Mike
> 
> --
> Mike Little
> Share what you know. Learn what you don't.
> 
> ServicePOWER Business Solutions Ltd
> home: [email-masked]
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]